.requisites {
    gap: 50px;
    margin-top: 30px;
}

.requisites > button {
    height: 80px;
    font-size: 18px;
    font-weight: 500;
}

.requisites__item {
    padding: 20px 10px;
    display: flex;
    align-items: center;justify-content: space-between;
    border-bottom: 1px solid #E2E1E1;
    gap: 40px;
}

.requisites__item:first-child {border-top: 1px solid #E2E1E1;}

.requisites__item > p {
    color: var(--gray);
}

.requisites__item > div {gap: 15px;}

.requisites__item > div p {
    text-align: end;
}

.copy {
    width: 16px;
    height: 16px;
    background-image: url(../images/svg/copy.svg);
    background-repeat: no-repeat;
    background-position: center;
    transition: content var(--transition);
    cursor: pointer;
    position: relative;
}

.copy:hover {
    content: url(../images/svg/copy-black.svg);
}

.copy::before {
    background-color: var(--green);
    content: "Copied!";
    font-size: 12px;
    white-space: nowrap;
    font-weight: 400;
    color: white;
    border-radius: 10px;
    padding: 10px;
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}

.copy.copied::before {
    opacity: 1;
    visibility: visible;
    top: -60px;
}

@media (max-width: 576px) {
    .requisites {gap: 30px;}
    
    .requisites__item {
        flex-direction: column;
        gap: 15px;
        align-items: start;
    }

    .requisites__item > div {
        justify-content: space-between;
        width: 100%;
    }

    .requisites__item > div p {
        text-align: start;
        width: fit-content;
    }

    .requisites button {
        height: 70px;
        padding: 20px;
    }
    
    .requisites button span {
        white-space: wrap;
        text-align: start;
    }
}